Game Develop Core: gd::AuiTabArt Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
gd::AuiTabArt Class Reference
IDE Classes ( Classes to be used to implement a development environment )

Internal class providing Game Develop specific skin for wxwidget's wxAuiNotebook class. More...

`#include <AuiTabArt.h>`

Inheritance diagram for gd::AuiTabArt:
[legend]

## Public Member Functions

wxAuiTabArt * | Clone ()
void | SetFlags (unsigned int flags)
void | SetSizingInfo (const wxSize &tab_ctrl_size, size_t tab_count)
void | SetNormalFont (const wxFont &font)
void | SetSelectedFont (const wxFont &font)
void | SetMeasuringFont (const wxFont &font)
virtual void | SetColour (const wxColour &colour)
virtual void | SetActiveColour (const wxColour &colour)
virtual void | DrawBorder (wxDC &dc, wxWindow *wnd, const wxRect &rect)
virtual int | GetBorderWidth (wxWindow *wnd)
virtual int | GetAdditionalBorderSpace (wxWindow *wnd)
void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &pane, const wxRect &in_rect, int close_button_state, wxRect *out_tab_rect, wxRect *out_button_rect, int *x_extent)
void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &in_rect, int bitmap_id, int button_state, int orientation, wxRect *out_rect)
void | DisableBackgroundGradient (bool disable=true)
int | GetIndentSize ()
wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmap &bitmap, bool active, int close_button_state, int *x_extent)
int | ShowDropDown (wxWindow *wnd, const wxAuiNotebookPageArray &items, int active_idx)
int | GetBestTabCtrlSize (wxWindow *wnd, const wxAuiNotebookPageArray &pages, const wxSize &required_bmp_size)

## Protected Attributes

wxFont | m_normal_font
wxFont | m_selected_font
wxFont | m_measuring_font
wxColour | m_active_colour
wxColour | m_base_colour
wxPen | m_base_colour_pen
wxPen | m_border_pen
wxBrush | m_base_colour_brush
wxBitmap | m_active_close_bmp
wxBitmap | m_disabled_close_bmp
wxBitmap | m_active_left_bmp
wxBitmap | m_disabled_left_bmp
wxBitmap | m_active_right_bmp
wxBitmap | m_disabled_right_bmp
wxBitmap | m_active_windowlist_bmp
wxBitmap | m_disabled_windowlist_bmp
int | m_fixed_tab_width
int | m_tab_ctrl_height
unsigned int | m_flags
bool | noBgGradient

## Detailed Description

Internal class providing Game Develop specific skin for wxwidget's wxAuiNotebook class.

If you use wxAuiNotebook, please use this art provider by using SkinHelper::ApplyCurrentSkin.
( You do not have to use this class directly. )

See Also
  SkinHelper

The documentation for this class was generated from the following files:

- AuiTabArt.h
- AuiTabArt.cpp